GTPTERMINAL(1)

NAME
gtpterminal - Simple text based interface to Go programs supporting GTP.

SYNOPSIS

gtpterminal [-size n] [-verbose]

gtpterminal -help

gtpterminal -version

DESCRIPTION

Simple text based interface to Go programs supporting the Go Text Protocol. It keeps track of the board and prints it after each change on the board. If a move (coordinate on the board or pass) is entered, it is played on the board for the color which is to move, followed by a genmove command sent to the program. Other supported commands are:

genmove
    Send a genmove command for the color that is to move to the program.

help
    Print help.

list
    Send a list_commands command to the program.

load
    Load game from SGF file. Moves are translated into play commands for the program.

newgame [size]
    Start a new game with a given board size.

save
    Save game to file in SGF format.

undo
    Send a undo command to the program.

quit
    Terminate program and exit.

The following commands are not allowed: black, boardsize, clear_board, genmove_black, genmove_white, white. All other commands are forwarded directly to the program as GTP commands.

OPTIONS

-config file
    Read command line options and arguments from file.

-size n
    Board size.

-verbose
    Log GTP stream to standard error.

-version
    Print version and exit.